import { Codicon } from 'vscode/vscode/vs/base/common/codicons';
import { localize } from 'vscode/vscode/vs/nls';
import { registerIcon } from 'vscode/vscode/vs/platform/theme/common/iconRegistry';

const selectKernelIcon = registerIcon('notebook-kernel-select', Codicon.serverEnvironment, ( localize(5656, 'Configure icon to select a kernel in notebook editors.')));
const executeIcon = registerIcon('notebook-execute', Codicon.play, ( localize(5657, 'Icon to execute in notebook editors.')));
const executeAboveIcon = registerIcon('notebook-execute-above', Codicon.runAbove, ( localize(5658, 'Icon to execute above cells in notebook editors.')));
const executeBelowIcon = registerIcon('notebook-execute-below', Codicon.runBelow, ( localize(5659, 'Icon to execute below cells in notebook editors.')));
const stopIcon = registerIcon('notebook-stop', Codicon.primitiveSquare, ( localize(5660, 'Icon to stop an execution in notebook editors.')));
const deleteCellIcon = registerIcon('notebook-delete-cell', Codicon.trash, ( localize(5661, 'Icon to delete a cell in notebook editors.')));
const executeAllIcon = registerIcon('notebook-execute-all', Codicon.runAll, ( localize(5662, 'Icon to execute all cells in notebook editors.')));
const editIcon = registerIcon('notebook-edit', Codicon.pencil, ( localize(5663, 'Icon to edit a cell in notebook editors.')));
const stopEditIcon = registerIcon('notebook-stop-edit', Codicon.check, ( localize(5664, 'Icon to stop editing a cell in notebook editors.')));
const moveUpIcon = registerIcon('notebook-move-up', Codicon.arrowUp, ( localize(5665, 'Icon to move up a cell in notebook editors.')));
const moveDownIcon = registerIcon('notebook-move-down', Codicon.arrowDown, ( localize(5666, 'Icon to move down a cell in notebook editors.')));
const clearIcon = registerIcon('notebook-clear', Codicon.clearAll, ( localize(5667, 'Icon to clear cell outputs in notebook editors.')));
const splitCellIcon = registerIcon('notebook-split-cell', Codicon.splitVertical, ( localize(5668, 'Icon to split a cell in notebook editors.')));
const successStateIcon = registerIcon('notebook-state-success', Codicon.check, ( localize(5669, 'Icon to indicate a success state in notebook editors.')));
const errorStateIcon = registerIcon('notebook-state-error', Codicon.error, ( localize(5670, 'Icon to indicate an error state in notebook editors.')));
const pendingStateIcon = registerIcon('notebook-state-pending', Codicon.clock, ( localize(5671, 'Icon to indicate a pending state in notebook editors.')));
const executingStateIcon = registerIcon('notebook-state-executing', Codicon.sync, ( localize(5672, 'Icon to indicate an executing state in notebook editors.')));
const collapsedIcon = registerIcon('notebook-collapsed', Codicon.chevronRight, ( localize(5673, 'Icon to annotate a collapsed section in notebook editors.')));
const expandedIcon = registerIcon('notebook-expanded', Codicon.chevronDown, ( localize(5674, 'Icon to annotate an expanded section in notebook editors.')));
const openAsTextIcon = registerIcon('notebook-open-as-text', Codicon.fileCode, ( localize(5675, 'Icon to open the notebook in a text editor.')));
const revertIcon = registerIcon('notebook-revert', Codicon.discard, ( localize(5676, 'Icon to revert in notebook editors.')));
const toggleWhitespace = registerIcon('notebook-diff-cell-toggle-whitespace', Codicon.whitespace, ( localize(5677, 'Icon for the toggle whitespace action in the diff editor.')));
const renderOutputIcon = registerIcon('notebook-render-output', Codicon.preview, ( localize(5678, 'Icon to render output in diff editor.')));
const mimetypeIcon = registerIcon('notebook-mimetype', Codicon.code, ( localize(5679, 'Icon for a mime type in notebook editors.')));
const copyIcon = registerIcon('notebook-copy', Codicon.copy, ( localize(5680, 'Icon to copy content to clipboard')));
const previousChangeIcon = registerIcon('notebook-diff-editor-previous-change', Codicon.arrowUp, ( localize(5681, 'Icon for the previous change action in the diff editor.')));
const nextChangeIcon = registerIcon('notebook-diff-editor-next-change', Codicon.arrowDown, ( localize(5682, 'Icon for the next change action in the diff editor.')));
const variablesViewIcon = registerIcon('variables-view-icon', Codicon.variableGroup, ( localize(5683, 'View icon of the variables view.')));

export { clearIcon, collapsedIcon, copyIcon, deleteCellIcon, editIcon, errorStateIcon, executeAboveIcon, executeAllIcon, executeBelowIcon, executeIcon, executingStateIcon, expandedIcon, mimetypeIcon, moveDownIcon, moveUpIcon, nextChangeIcon, openAsTextIcon, pendingStateIcon, previousChangeIcon, renderOutputIcon, revertIcon, selectKernelIcon, splitCellIcon, stopEditIcon, stopIcon, successStateIcon, toggleWhitespace, variablesViewIcon };
